> For the complete documentation index, see [llms.txt](https://docs.digiledge.in/untitled/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-master-data-api/disposition-api.md).

# Disposition API

<mark style="color:blue;">**API for listing Complaint Disposition reasons for raising complaints for transactions.**</mark>

| Endpoint                                                                        |
| ------------------------------------------------------------------------------- |
| **Request:&#x20;**<mark style="color:blue;">**GET /masters/disposition**</mark> |

<mark style="color:blue;">**Response Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                    | Property/Element Name | Mandatory | Data Type | Description                                                               |
| ------------------------------------------ | --------------------- | --------- | --------- | ------------------------------------------------------------------------- |
| **\[ROOT]** (No parent property / element) | dispositionsList      | M         | List      | List of dispositions                                                      |
| **dispositionsList**                       | dispositionId         | M         | UUID      | Unique ID associated with a specific Amount Breakup Set                   |
|                                            | dispositionDescr      | M         | List      | Lists all combinations of Amount Breakup Options configured by the Biller |
| generalResp                                | statusCode            | M         | Numeric   | 200- SUCCESS Other than 200-Failure                                       |
|                                            | status                | M         | String    | It is either “Success” or failure                                         |
|                                            | message               | M         | String    | Contains the reason message for failure / success                         |
|                                            | remarks               | C         | String    |                                                                           |

<mark style="color:blue;">**Json Formatted Response Example**</mark>

```json
        {
        "dispositionsList": [
        {
        "dispositionId": "90fd3ed3-620d-42c5-bb54-35ff4644d61b", 
        "dispositionDescr": "Transaction Successful, account not updated"
        },
        {
        "dispositionId": "5f93f8d0-ce90-490f-a743-a8e813256fed",
        "dispositionDescr": "Amount deducted, biller account credited but transaction ID not received"
        },
        {
        "dispositionId": "74c0ef51-09e4-4f83-a440-aa0329d49287",
        "dispositionDescr": "Amount deducted, biller account not credited & transaction ID not received"
        },
        {
        "dispositionId": "3637a1a4-5fb8-48c9-915d-ba2fcb41d0a6", 
        "dispositionDescr": "Amount deducted multiple times"
        },
        {
        "dispositionId": "e08b5a71-4df1-4688-ad59-347768911d22", 
        "dispositionDescr": "Double payment updated"
        },
        {
        "dispositionId": "4c5b2748-6d8b-464d-8fec-8225aca3cf82", 
        "dispositionDescr": "Erroneously paid in wrong account"
        }
        ],
        "generalResp": 
        { 
        "statusCode": "200",
        "status": "success",
        "message": "dispositions retrieved successfully", 
        "remarks": ""
        }
        }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-master-data-api/disposition-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
